Bug 192241 - konsole --list-profiles stays in the background
Summary: konsole --list-profiles stays in the background
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 2.2.3
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-10 16:29 UTC by Daniel
Modified: 2010-02-26 15:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2009-05-10 16:29:00 UTC
Version:           2.2.3 (using Devel)
OS:                Linux
Installed from:    Compiled sources

First, start Konsole, and then do the following:

$ pgrep -lf konsole
10780 /usr/bin/konsole
$ konsole --list-profiles
Shell
$ pgrep -lf konsole
10780 /usr/bin/konsole
10901 konsole --list-profiles
$ konsole --list-profiles
Shell
$ pgrep -lf konsole
10780 /usr/bin/konsole
10901 konsole --list-profiles
10909 konsole --list-profiles

... and this continues to grow whenever I start Konsole with the --list-profiles.
Comment 1 Kurt Hindenburg 2009-06-30 01:43:15 UTC
Confirmed on trunk.  strace says the pids are at:

restart_syscall(<... resuming interrupted call ...>^C <unfinished ...>  

poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=5, events=POLLIN}], 3, -1
) = 1 ([{fd=3, revents=POLLIN}])
read(3, "s\0\10\1\214\0\0\0\2\0`\3\1\0\0\0\371\276\3\2\370\276\3\2\0\265\347\t\3604\216\277"..., 4096) = 32
read(3, 0x95959d0, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
read(3, 0x95959d0, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
read(3, 0x95959d0, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
read(3, 0x95959d0, 4096)                = -1 EAGAIN (Resource temporarily unavailable)


I'm not that familiar with KUniqueApplication to tell what is going on.
Comment 2 Kurt Hindenburg 2009-10-14 16:12:17 UTC
For reference, it is the dbus thread that is left alive.  You can see this by using qdbus.  To get rid of it:
qdbus org.kde.konsole-PID /MainApplication quit
Comment 3 Kurt Hindenburg 2010-02-26 06:40:28 UTC
SVN commit 1096175 by hindenburg:

Quit after --list-profiles is used; otherwise dbus process id is left alive.

BUG: 192241


 M  +1 -0      Application.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1096175
Comment 4 Kurt Hindenburg 2010-02-26 15:18:23 UTC
SVN commit 1096331 by hindenburg:

Quit after --list-profiles is used; otherwise dbus process id is left alive.

CCBUG: 192241


 M  +1 -0      Application.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1096331